Business
Settings
Get business settings that includes Assist phone numbers, address details and tip options
GET
/
business
/
{businessId}
/
settings
cURL
curl --request GET \
--url https://api3.trycents.com/api/v1/common/business/{businessId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'fwdorigin: <fwdorigin>'import requests
url = "https://api3.trycents.com/api/v1/common/business/{businessId}/settings"
headers = {
"fwdorigin": "<fwdorigin>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {fwdorigin: '<fwdorigin>', Authorization: 'Bearer <token>'}
};
fetch('https://api3.trycents.com/api/v1/common/business/{businessId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowOnlineTip": true,
"isBagTrackingEnabled": true,
"isHangDryEnabled": false,
"dryCleaningEnabled": false,
"isCustomPreferencesEnabled": true,
"hangDryInstructions": "Lorem Ipsum is simply dummy text of the printing and typesetting industry",
"isReferralProgramActive": true,
"assistBusinessPhoneNumber": null,
"otpPhoneNumber": "7094228978",
"disableSmsBot": true,
"tipSettings": {
"type": "PERCENTAGE",
"defaultOption": "option1",
"options": {
"option1": 5,
"option2": 10,
"option3": 12
}
},
"address": "40 Wooster St, NY, 10013",
"location": {
"lat": 37.7741914,
"lng": -122.4931805
}
}"businessId is required""Business settings for business with id {businessId} not found"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
DISPATCH_API Path Parameters
Response
Ok
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
cURL
